[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# Tab2Space

Convert tab characters to a number of spaces

## Declaration

Source position: strutils.pp line 149

`function Tab2Space(`
`const S: string;`
`Numb: Byte`
`):string;`

## Arguments

`S` |  | String in which to replace tab characters.
`Numb` |  | Number of spaces to replace tab characters with.

## Function result

Strng with tab characters replaced

## Description

Tab2Space returns a copy of S with all tab characters (ASCII character 9) converted to Numb spaces.

## Errors

None.

## See also

StuffString |  | Replace part of a string with another string.
FindPart |  | Search for a substring in a string, using wildcards.
ExtractWord |  | Extract the N-th word out of a string.
DelChars |  | Delete all occurrences of a given character from a string.
DelSpace |  | Delete all occurrences of a space from a string.
DelSpace1 |  | Reduces sequences of space characters to 1 space character.
DupeString |  | Creates and concatenates N copies of a string

Documentation generated on: Feb 26 2014